Bug 143600 - udev fails to mount Lexar multi-card reader
udev fails to mount Lexar multi-card reader
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 13:58 EST by Parrish Myers
Modified: 2015-01-04 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 23:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parrish Myers 2004-12-22 13:58:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I have a HP laptop (hp pavilion ze4315us) with usb1.1.  I am
attempting to use the Lexar USB2.0 Multi-Card Reader with FC3.  It
works perfectly file in windows xp... but when tring it in linux all I
get is the following message in /var/log/messages:

Dec 22 11:45:04 localhost kernel: ohci_hcd 0000:00:02.0: wakeup
Dec 22 11:45:04 localhost kernel: usb 1-2: new full speed USB device
using address 2
Dec 22 11:45:06 localhost kernel: SCSI subsystem initialized
Dec 22 11:45:06 localhost kernel: Initializing USB Mass Storage driver...
Dec 22 11:45:06 localhost kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
Dec 22 11:45:06 localhost kernel:   Vendor: Lexar     Model: USB
Storage-SMC   Rev: I18A
Dec 22 11:45:06 localhost kernel:   Type:   Direct-Access            
         ANSI SCSI revision: 02
Dec 22 11:45:06 localhost scsi.agent[3222]: disk at
/devices/pci0000:00/0000:00:02.0/usb1/1-2/1-2:1.0/host0/0:0:0:0
Dec 22 11:45:06 localhost kernel: usbcore: registered new driver
usb-storage
Dec 22 11:45:06 localhost kernel: USB Mass Storage support registered.
Dec 22 11:45:11 localhost kernel: usb 1-2: control timeout on ep0in
Dec 22 11:45:26 localhost last message repeated 3 times
Dec 22 11:45w26 localhost hald[2322]: Timed out waiting for hotplug
event 280. Rebasing to 280
Dec 22 11:45:26 localhost kernel: Attached scsi removable disk sda at
scsi0, channel 0, id 0, lun 0
Dec 22 11:45:26 localhost udev[3266]: creating device node '/dev/sda'
Dec 22 11:45:26 localhost 05-pam_console.dev[3267]: Restoring console
permissions for /dev/sda

The device is never mounted and when I try to manually try to mount
'/dev/sda' manually all I get is the error message:
   mount: No medium found

I have heard of ther people's sucess with this device on linux... But
it doesn't work at all for me.


Version-Release number of selected component (if applicable):
udev-039-10.FC3.6

How reproducible:
Always

Steps to Reproduce:
1. plug the device into the usb port 
2. watch /var/log/messages
3.
    

Expected Results:  the device to mount...

Additional info:
Comment 1 Harald Hoyer 2004-12-23 04:47:59 EST
does this device have partitions on it?
# fdisk -l /dev/sda

to let the kernel reread all partitions use:
# sfdisk -R /dev/sda
Comment 2 Parrish Myers 2004-12-23 10:58:25 EST
'fdisk -l /dev/sda' returns with nothing (I assume that means there
are no  partitions?)

and when I execute 'sfdisk -R /dev/sda' it returns:
    /dev/sda: No medium found

    sfdisk: cannot open /dev/sda for reading

I know there are directories and pictures on the CF card... I put them
there in hopes of downloading them from the reader...
Comment 3 Harald Hoyer 2005-01-03 03:06:03 EST
reassigning to kernel
Comment 4 Dave Jones 2005-01-10 22:11:13 EST
added to whitelist, in the next kernel update you should see all the slots show
up as sda1, sda2 etc..
In the meantime, you can work around this by loading scsi_mod with the
max_luns=N argument (where N = number of slots)

add..

options scsi_mod max_luns=8

to your /etc/modprobe.conf, and then next time it gets loaded the devices should
appear.
Comment 5 Dave Jones 2005-01-13 23:37:14 EST
added to whitelist in todays update.

Note You need to log in before you can comment on or make changes to this bug.